ru.bitel.bgbilling.modules.enaza.common.bean

## Class EnazaTransaction

- java.lang.Object
- - ru.bitel.bgbilling.modules.enaza.common.bean.EnazaTransaction

- All Implemented Interfaces:
    Contractable

      public class EnazaTransaction
      extends java.lang.Object
      implements Contractable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_NEW`
    `static int` | `STATUS_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnazaTransaction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getAmount()`
    `int` | `getChargeId()`
    `java.lang.String` | `getClientId()`
    `java.math.BigDecimal` | `getContractGroupId()`
    `int` | `getContractId()` Возвращает код договора к которому привязан объект.
    `java.util.Date` | `getDate()`
    `java.lang.String` | `getDescription()`
    `java.math.BigDecimal` | `getOrderId()`
    `java.math.BigDecimal` | `getPriceCategory()`
    `java.math.BigDecimal` | `getProductType()`
    `java.lang.String` | `getServiceId()`
    `int` | `getStatus()`
    `int` | `getVat()`
    `void` | `setAmount(java.math.BigDecimal amount)`
    `void` | `setChargeId(int chargeId)`
    `void` | `setClientId(java.lang.String clientId)`
    `void` | `setContractGroupId(java.math.BigDecimal contractGroupId)`
    `void` | `setContractId(int contractId)` Устанавливает код договора к которому привязан объект.
    `void` | `setDate(java.util.Date date)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setOrderId(java.math.BigDecimal orderId)`
    `void` | `setPriceCategory(java.math.BigDecimal priceCategory)`
    `void` | `setProductType(java.math.BigDecimal productType)`
    `void` | `setServiceId(java.lang.String serviceId)`
    `void` | `setStatus(int status)`
    `void` | `setVat(int vat)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_NEW

          public static int STATUS_NEW

    - #### STATUS_OK

          public static int STATUS_OK

  - ### Constructor Detail

    - #### EnazaTransaction

          public EnazaTransaction()

  - ### Method Detail

    - #### getOrderId

          public java.math.BigDecimal getOrderId()

    - #### setOrderId

          public void setOrderId(java.math.BigDecimal orderId)

    - #### getAmount

          public java.math.BigDecimal getAmount()

    - #### setAmount

          public void setAmount(java.math.BigDecimal amount)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getContractId

          public int getContractId()

      Description copied from interface: `Contractable`
      Возвращает код договора к которому привязан объект.
      Specified by:
        `getContractId` in interface `Contractable`
      Returns:
        код договора

    - #### setContractId

          public void setContractId(int contractId)

      Description copied from interface: `Contractable`
      Устанавливает код договора к которому привязан объект.
      Specified by:
        `setContractId` in interface `Contractable`
      Parameters:
        `contractId` - код договора

    - #### getClientId

          public java.lang.String getClientId()

    - #### setClientId

          public void setClientId(java.lang.String clientId)

    - #### setChargeId

          public void setChargeId(int chargeId)

    - #### getChargeId

          public int getChargeId()

    - #### getProductType

          public java.math.BigDecimal getProductType()

    - #### setProductType

          public void setProductType(java.math.BigDecimal productType)

    - #### getPriceCategory

          public java.math.BigDecimal getPriceCategory()

    - #### setPriceCategory

          public void setPriceCategory(java.math.BigDecimal priceCategory)

    - #### getServiceId

          public java.lang.String getServiceId()

    - #### setServiceId

          public void setServiceId(java.lang.String serviceId)

    - #### getContractGroupId

          public java.math.BigDecimal getContractGroupId()

    - #### setContractGroupId

          public void setContractGroupId(java.math.BigDecimal contractGroupId)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getVat

          public int getVat()

    - #### setVat

          public void setVat(int vat)